summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-06-21 00:44:39 +0000
committer Eric Hameleers <alien@slackware.com>2024-06-21 04:38:16 +0200
commit5166171167ebc78a97a6bb61fb41c8f9d7051f5b (patch)
tree6e547d65d69f23a305fd83bb38f6e129f814e904 /source
parent0425798cdda5dfd9cb90490875f0dbe5d10a29ba (diff)
downloadcurrent-5166171167ebc78a97a6bb61fb41c8f9d7051f5b.tar.gz
current-5166171167ebc78a97a6bb61fb41c8f9d7051f5b.tar.xz
Fri Jun 21 00:44:39 UTC 202420240621004439
a/mcelog-200-x86_64-1.txz: Upgraded. a/shadow-4.16.0-x86_64-1.txz: Upgraded. d/llvm-18.1.8-x86_64-1.txz: Upgraded. Build from git rather than individual tarballs (this simplifies things). Build additional projects: bolt, flang, mlir. l/gmime-3.2.15-x86_64-1.txz: Upgraded. l/gst-plugins-bad-free-1.24.5-x86_64-1.txz: Upgraded. l/gst-plugins-base-1.24.5-x86_64-1.txz: Upgraded. l/gst-plugins-good-1.24.5-x86_64-1.txz: Upgraded. l/gst-plugins-libav-1.24.5-x86_64-1.txz: Upgraded. l/gstreamer-1.24.5-x86_64-1.txz: Upgraded. l/libclc-18.1.8-x86_64-1.txz: Upgraded. l/mujs-1.3.5-x86_64-1.txz: Upgraded. l/nodejs-20.15.0-x86_64-1.txz: Upgraded. l/python-importlib_metadata-7.2.0-x86_64-1.txz: Upgraded. l/qt6-6.7.2_20240610_3f005f1e-x86_64-1.txz: Upgraded. n/openvpn-2.6.11-x86_64-1.txz: Upgraded. x/libva-2.22.0-x86_64-1.txz: Upgraded. x/libva-utils-2.22.0-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rw-r--r--source/a/shadow/shadow.url2
-rwxr-xr-xsource/d/llvm/libclc.SlackBuild (renamed from source/l/libclc/libclc.SlackBuild)32
-rw-r--r--source/d/llvm/lldb.32-bit.link.libatomic.diff14
-rwxr-xr-xsource/d/llvm/llvm.SlackBuild173
-rw-r--r--source/d/llvm/llvm.url19
-rw-r--r--source/d/llvm/slack-desc.libclc (renamed from source/l/libclc/slack-desc)0
-rwxr-xr-xsource/l/gmime/gmime.SlackBuild8
-rw-r--r--source/l/gmime/gmime.url2
-rwxr-xr-xsource/l/gst-plugins-bad-free/fetch-sources.sh2
-rwxr-xr-xsource/l/gst-plugins-bad-free/gst-plugins-bad-free.SlackBuild2
l---------source/l/libclc1
-rwxr-xr-xsource/l/libclc/fetch-libclc.sh49
-rw-r--r--source/l/libclc/libclc.url1
-rwxr-xr-xsource/l/python-importlib_metadata/python-importlib_metadata.SlackBuild2
-rwxr-xr-xsource/l/qt6/fetch_sources.sh2
-rwxr-xr-xsource/l/qt6/qt6.SlackBuild2
-rw-r--r--source/x/libva-utils/libva-utils.url2
-rwxr-xr-xsource/x/mesa/mesa.SlackBuild3
18 files changed, 74 insertions, 242 deletions
diff --git a/source/a/shadow/shadow.url b/source/a/shadow/shadow.url
index b49486f5a..c102daba3 100644
--- a/source/a/shadow/shadow.url
+++ b/source/a/shadow/shadow.url
@@ -1,2 +1,2 @@
https://github.com/shadow-maint/shadow
-https://github.com/shadow-maint/shadow/releases/download/4.15.1/shadow-4.15.1.tar.xz
+https://github.com/shadow-maint/shadow/releases/download/4.16.0/shadow-4.16.0.tar.xz
diff --git a/source/l/libclc/libclc.SlackBuild b/source/d/llvm/libclc.SlackBuild
index ba739d762..d9a3e7e40 100755
--- a/source/l/libclc/libclc.SlackBuild
+++ b/source/d/llvm/libclc.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for libclc
# Copyright 2016 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2017, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2017, 2018, 2021, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libclc
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 4- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo llvmorg-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -69,14 +69,23 @@ else
fi
TMP=${TMP:-/tmp}
-PKG=$TMP/package-libclc
-
-rm -rf $PKG
-mkdir -p $TMP $PKG
-cd $TMP
-rm -rf libclc-${VERSION}.src
-tar xvf $CWD/libclc-$VERSION.src.tar.?z || exit 1
-cd libclc-${VERSION}.src || exit 1
+PKG=$TMP/package-$PKGNAM
+BUILDDIR=${TMP}/libclc-build-${VERSION}
+
+rm -rf $PKG $BUILDDIR
+mkdir -p $TMP $PKG $BUILDDIR
+cd $BUILDDIR
+
+# Add a fake configure script so the cleanup script used here at Slackware
+# knows to delete this stuff later. Other folks can just ignore this... it
+# doesn't have any other purpose.
+touch configure
+chmod 755 configure
+
+echo "Extracting $CWD/llvmorg-$VERSION.tar.?z..."
+tar xf $CWD/llvmorg-$VERSION.tar.?z llvm-project-llvmorg-$VERSION/libclc || tar xf $CWD/llvmorg-$VERSION.tar.?z llvmorg-$VERSION/libclc || exit 1
+cd llvm-project-llvmorg-$VERSION/libclc || cd llvmorg-$VERSION/libclc || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -103,7 +112,8 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a *.TXT $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *.{txt,md,TXT,rst} $PKG/usr/doc/$PKGNAM-$VERSION
+rm -f $PKG/usr/doc/$PKGNAM-$VERSION/CMakeLists.txt
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/source/d/llvm/lldb.32-bit.link.libatomic.diff b/source/d/llvm/lldb.32-bit.link.libatomic.diff
deleted file mode 100644
index 234bcdc72..000000000
--- a/source/d/llvm/lldb.32-bit.link.libatomic.diff
+++ /dev/null
@@ -1,14 +0,0 @@
---- ./tools/lldb/source/Utility/CMakeLists.txt.orig 2022-06-22 11:46:24.000000000 -0500
-+++ ./tools/lldb/source/Utility/CMakeLists.txt 2022-06-27 22:33:56.715179825 -0500
-@@ -19,9 +19,9 @@
- list(APPEND LLDB_SYSTEM_LIBS ws2_32 rpcrt4)
- endif ()
-
--if (NOT HAVE_CXX_ATOMICS64_WITHOUT_LIB )
-+#if (NOT HAVE_CXX_ATOMICS64_WITHOUT_LIB )
- list(APPEND LLDB_SYSTEM_LIBS atomic)
--endif()
-+#endif()
-
- add_lldb_library(lldbUtility
- ArchSpec.cpp
diff --git a/source/d/llvm/llvm.SlackBuild b/source/d/llvm/llvm.SlackBuild
index aab67ce71..dc9c1484e 100755
--- a/source/d/llvm/llvm.SlackBuild
+++ b/source/d/llvm/llvm.SlackBuild
@@ -26,21 +26,9 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=llvm
-VERSION=${VERSION:-$(echo llvm-*.tar.xz | rev | cut -f 4- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo llvmorg-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
-# For the two options below, either set both to OFF or *only one* to ON:
-
-# Build using -DLLVM_BUILD_LLVM_DYLIB=ON -DLLVM_LINK_LLVM_DYLIB=ON -DCLANG_LINK_CLANG_DYLIB=ON:
-# This is the upstream recommended way to build LLVM with shared libraries and
-# seems to be the way to go these days.
-LLVM_BUILD_LLVM_DYLIB=${LLVM_BUILD_LLVM_DYLIB:=ON}
-
-# Build using -DBUILD_SHARED_LIBS=ON.
-# We used this for years here to get a smaller LLVM package, but it no longer
-# works. Feel free to try it, but expect breakage.
-BUILD_SHARED_LIBS=${BUILD_SHARED_LIBS:=OFF}
-
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
if [ -z "$ARCH" ]; then
@@ -51,6 +39,17 @@ if [ -z "$ARCH" ]; then
esac
fi
+# Select projects to build:
+if [ "$ARCH" = "i586" -o "$ARCH" = "i686" ]; then
+ # bolt and flang are not available on 32-bit
+ LLVM_ENABLE_PROJECTS=${LLVM_ENABLE_PROJECTS:-"clang;clang-tools-extra;compiler-rt;lld;lldb;llvm;mlir;openmp;polly"}
+else
+ LLVM_ENABLE_PROJECTS=${LLVM_ENABLE_PROJECTS:-"bolt;clang;clang-tools-extra;compiler-rt;flang;lld;lldb;llvm;mlir;openmp;polly"}
+fi
+
+# Select runtimes to build:
+LLVM_ENABLE_RUNTIMES=${LLVM_ENABLE_RUNTIMES:-"libcxx;libcxxabi"}
+
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
@@ -81,19 +80,6 @@ else
LIBDIRSUFFIX=""
fi
-# Building clangd will be determined automatically unless BUILD_CLANG is
-# preset to YES or NO:
-if [ -z $BUILD_CLANGD ]; then
- if [ "$ARCH" = "i586" -o "$ARCH" = "i686" ]; then
- BUILD_CLANGD=NO
- else
- BUILD_CLANGD=YES
- fi
-fi
-if [ "$BUILD_CLANGD" = "NO" ]; then
- CLANGD="-DCLANG_ENABLE_CLANGD=OFF"
-fi
-
# Python3 short version:
PY3=$(python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' | cut -f 2 -d n | cut -f 1 -d /)
@@ -107,83 +93,12 @@ cd $BUILDDIR
touch configure
chmod 755 configure
-# Extract and rename some support files:
-echo "Extracting $CWD/cmake-$VERSION.src.tar.xz..."
-tar xf $CWD/cmake-$VERSION.src.tar.xz || exit 1
-mv cmake-$VERSION.src cmake
-echo "Extracting $CWD/third-party-$VERSION.src.tar.xz..."
-tar xf $CWD/third-party-$VERSION.src.tar.xz || exit 1
-mv third-party-$VERSION.src third-party
-echo "Extracting $CWD/runtimes-$VERSION.src.tar.xz..."
-tar xf $CWD/runtimes-$VERSION.src.tar.xz || exit 1
-mv runtimes-${VERSION}.src/cmake/Modules/* cmake/Modules || exit 1
-rm -r runtimes-${VERSION}.src
-
-rm -rf $PKGNAM-${VERSION}.src $PKGNAM-${VERSION}
-echo "Extracting $CWD/$PKGNAM-$VERSION.src.tar.xz..."
-tar xf $CWD/$PKGNAM-$VERSION.src.tar.xz || exit 1
-
-cd $PKGNAM-${VERSION}.src/tools || cd $PKGNAM-${VERSION}/tools || exit 1
- echo "Extracting $CWD/clang-$VERSION.src.tar.xz..."
- tar xf $CWD/clang-$VERSION.src.tar.xz || exit 1
- mv clang-${VERSION} clang 2>/dev/null || mv clang-${VERSION}.src clang || exit 1
- #echo "Extracting $CWD/flang-$VERSION.src.tar.xz..."
- #tar xf $CWD/flang-$VERSION.src.tar.xz || exit 1
- #mv flang-${VERSION} flang 2>/dev/null || mv flang-${VERSION}.src flang || exit 1
- echo "Extracting $CWD/lldb-$VERSION.src.tar.xz..."
- tar xf $CWD/lldb-$VERSION.src.tar.xz || exit 1
- mv lldb-${VERSION} lldb 2>/dev/null || mv lldb-${VERSION}.src lldb || exit 1
- echo "Extracting $CWD/lld-$VERSION.src.tar.xz..."
- tar xf $CWD/lld-$VERSION.src.tar.xz || exit 1
- mv lld-${VERSION} lld 2>/dev/null || mv lld-${VERSION}.src lld || exit 1
-cd ../
-
-cd tools/clang/tools || exit 1
- echo "Extracting $CWD/clang-tools-extra-$VERSION.src.tar.xz..."
- tar xf $CWD/clang-tools-extra-$VERSION.src.tar.xz || exit 1
- mv clang-tools-extra-${VERSION} extra 2>/dev/null \
- || mv clang-tools-extra-${VERSION}.src extra || exit 1
-cd ../../../
-
-cd projects || exit 1
- echo "Extracting $CWD/compiler-rt-$VERSION.src.tar.xz..."
- tar xf $CWD/compiler-rt-$VERSION.src.tar.xz || exit 1
- mv compiler-rt-${VERSION} compiler-rt 2>/dev/null || mv compiler-rt-${VERSION}.src compiler-rt || exit 1
- echo "Extracting $CWD/openmp-$VERSION.src.tar.xz..."
- tar xf $CWD/openmp-$VERSION.src.tar.xz || exit 1
- mv openmp-${VERSION} openmp 2>/dev/null || mv openmp-${VERSION}.src openmp || exit 1
- echo "Extracting $CWD/libcxx-${VERSION}.src.tar.xz..."
- tar xf $CWD/libcxx-${VERSION}.src.tar.xz || exit 1
- mv libcxx-${VERSION} libcxx 2>/dev/null || mv libcxx-${VERSION}.src libcxx || exit 1
- echo "Extracting $CWD/libcxxabi-${VERSION}.src.tar.xz..."
- tar xf $CWD/libcxxabi-${VERSION}.src.tar.xz || exit 1
- mv libcxxabi-${VERSION} libcxxabi 2>/dev/null || mv libcxxabi-${VERSION}.src libcxxabi || exit 1
- echo "Extracting $CWD/polly-$VERSION.src.tar.xz..."
- tar xf $CWD/polly-$VERSION.src.tar.xz || exit 1
- mv polly-${VERSION} polly 2>/dev/null || mv polly-${VERSION}.src polly || exit 1
- # We just need a header file from this...
- echo "Extracting $CWD/libunwind-${VERSION}.src.tar.xz..."
- tar xf $CWD/libunwind-${VERSION}.src.tar.xz || exit 1
- mv libunwind-${VERSION}.src libunwind || mv libunwind-${VERSION} libunwind || exit 1
-cd ../
+echo "Extracting $CWD/llvmorg-$VERSION.tar.?z..."
+tar xf $CWD/llvmorg-$VERSION.tar.?z || exit 1
+cd llvm-project-llvmorg-$VERSION || cd llvmorg-$VERSION || exit 1
# Support GCC built for i586-slackware-linux:
-zcat $CWD/clang.toolchains.i586.triple.diff.gz | patch -p1 --verbose || exit 1
-
-# We require libatomic on 32-bit platforms:
-if [ -f ./tools/lldb/source/Utility/CMakeLists.txt ]; then
- if [ "$ARCH" = "i586" -o "$ARCH" = "i686" ]; then
- zcat $CWD/lldb.32-bit.link.libatomic.diff.gz | patch -p1 --verbose || exit 1
- fi
-fi
-
-# These hackish links seem to be required...
-cd ..
-ln -sf */runtimes .
-cd -
-cd projects
-ln -sf ../../cmake .
-cd -
+zcat $CWD/clang.toolchains.i586.triple.diff.gz | patch -p2 --verbose || exit 1
chown -R root:root .
find . \
@@ -192,22 +107,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Collect shared library options. If both of the configurable options are set
-# to ON, the last one we check will be the one we use.
-if [ "$BUILD_SHARED_LIBS" = "ON" ]; then
- SHARED_LIBRARY_OPTIONS="-DBUILD_SHARED_LIBS=ON"
-fi
-if [ "$LLVM_BUILD_LLVM_DYLIB" = "ON" ]; then
- SHARED_LIBRARY_OPTIONS="-DLLVM_BUILD_LLVM_DYLIB=ON -DLLVM_LINK_LLVM_DYLIB=ON -DCLANG_LINK_CLANG_DYLIB=ON"
-fi
-
mkdir build
cd build
- mkdir include
- # Copy this LLVM libunwind header or it won't be found:
- cp -a ../projects/libunwind/include/mach-o include
- # Nuke LLVM libunwind as it conflicts with the one already on the system:
- rm -r ../projects/libunwind
cmake -GNinja \
-DCMAKE_C_COMPILER="clang" \
-DCMAKE_CXX_COMPILER="clang++" \
@@ -215,11 +116,13 @@ cd build
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_INSTALL_PREFIX=/usr \
-DLLVM_LIBDIR_SUFFIX=${LIBDIRSUFFIX} \
- -DLIBCXX_LIBDIR_SUFFIX=${LIBDIRSUFFIX} \
- -DLIBCXXABI_LIBDIR_SUFFIX=${LIBDIRSUFFIX} \
-DCMAKE_BUILD_TYPE=Release \
- $SHARED_LIBRARY_OPTIONS \
+ -DLLVM_BUILD_LLVM_DYLIB=ON \
+ -DLLVM_LINK_LLVM_DYLIB=ON \
+ -DCLANG_LINK_CLANG_DYLIB=ON \
-DLLVM_USE_LINKER=lld \
+ -DLLVM_ENABLE_PROJECTS="$LLVM_ENABLE_PROJECTS" \
+ -DLLVM_ENABLE_RUNTIMES="$LLVM_ENABLE_RUNTIMES" \
-DLLVM_ENABLE_RTTI=ON \
-DLLVM_ENABLE_FFI=ON \
-DLLVM_ENABLE_ZLIB=ON \
@@ -230,14 +133,14 @@ cd build
-DCLANG_RESOURCE_DIR="../lib${LIBDIRSUFFIX}/clang/$(echo $VERSION | cut -f 1 -d .)" \
-DLLVM_TARGETS_TO_BUILD="host;AMDGPU;BPF" \
-DLLVM_INCLUDE_BENCHMARKS=OFF \
- -DLIBCXX_INCLUDE_BENCHMARKS=OFF \
-DCOMPILER_RT_BUILD_LIBFUZZER=OFF \
-DCLANG_DEFAULT_PIE_ON_LINUX=ON \
+ -DLIBCXX_LIBDIR_SUFFIX=${LIBDIRSUFFIX} \
+ -DLIBCXXABI_LIBDIR_SUFFIX=${LIBDIRSUFFIX} \
+ -DLIBCXX_INCLUDE_BENCHMARKS=OFF \
-DLIBCXX_ENABLE_ABI_LINKER_SCRIPT=ON \
-DLIBCXXABI_USE_LLVM_UNWINDER=OFF \
- $CLANGD \
- .. || exit 1
-
+ ../llvm || exit 1
"${NINJA:=ninja}" $NUMJOBS || exit 1
DESTDIR=$PKG "$NINJA" install || exit 1
cd ..
@@ -267,7 +170,7 @@ rm -f $PKG/usr/lib$LIBDIRSUFFIX/libgomp.so
# Install Python bindings:
for pyver in ${PY3}; do
mkdir -p "$PKG/usr/lib$LIBDIRSUFFIX/python$pyver/site-packages"
- cp -a tools/clang/bindings/python/clang "$PKG/usr/lib$LIBDIRSUFFIX/python$pyver/site-packages/"
+ cp -a clang/bindings/python/clang "$PKG/usr/lib$LIBDIRSUFFIX/python$pyver/site-packages/"
done
# Remove bundled python-six:
@@ -302,22 +205,14 @@ for i in $( find $PKG/usr/man -type l ) ; do
rm $i
done
-mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/{clang,lldb,clang-tools-extra,compiler-rt,openmp,polly}
-cp -a CREDITS* LICENSE* README* $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a tools/clang/{INSTALL,LICENSE,NOTES,README}* \
- $PKG/usr/doc/$PKGNAM-$VERSION/clang
-cp -a tools/lldb/{CODE_OWNERS,INSTALL,LICENSE}* \
- $PKG/usr/doc/$PKGNAM-$VERSION/lldb
-cp -a tools/clang/tools/extra/{CODE_OWNERS,LICENSE,README}* \
- $PKG/usr/doc/$PKGNAM-$VERSION/clang-tools-extra
-cp -a projects/compiler-rt/{CODE_OWNERS,CREDITS,LICENSE,README}* \
- $PKG/usr/doc/$PKGNAM-$VERSION/compiler-rt
-cp -a projects/openmp/{CREDITS,LICENSE}* \
- $PKG/usr/doc/$PKGNAM-$VERSION/openmp
-cp -a projects/polly/{CREDITS,LICENSE,README}* \
- $PKG/usr/doc/$PKGNAM-$VERSION/polly
-mv $PKG/usr/docs/llvm/* $PKG/usr/doc/$PKGNAM-$VERSION
-rm -rf $PKG/usr/docs
+# Just copy anything top or next level that looks like it might be docs.
+# Maybe we'll include it someday. ;-)
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *.{txt,md,TXT,rst} $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a --parents */*.{txt,md,TXT,rst} $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a --parents */README* $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -name CMakeLists.txt -exec rm -f "{}" \;
+rmdir $PKG/usr/doc/$PKGNAM-$VERSION/* 2> /dev/null
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/source/d/llvm/llvm.url b/source/d/llvm/llvm.url
index ddc576f2d..0ad8ed9f4 100644
--- a/source/d/llvm/llvm.url
+++ b/source/d/llvm/llvm.url
@@ -1,18 +1 @@
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/llvm-18.1.7.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/clang-18.1.7.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/clang-tools-extra-18.1.7.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/compiler-rt-18.1.7.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/flang-18.1.7.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/lldb-18.1.7.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/openmp-18.1.7.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/polly-18.1.7.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/libcxx-18.1.7.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/libcxxabi-18.1.7.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/lld-18.1.7.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/libunwind-18.1.7.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/cmake-18.1.7.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/third-party-18.1.7.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/runtimes-18.1.7.src.tar.xz
-#
-# Also look for spirv-llvm-translator and libclc!
-#
+https://github.com/llvm/llvm-project/archive/refs/tags/llvmorg-18.1.8.tar.gz
diff --git a/source/l/libclc/slack-desc b/source/d/llvm/slack-desc.libclc
index 12a032243..12a032243 100644
--- a/source/l/libclc/slack-desc
+++ b/source/d/llvm/slack-desc.libclc
diff --git a/source/l/gmime/gmime.SlackBuild b/source/l/gmime/gmime.SlackBuild
index 2429c3033..5d84ecd29 100755
--- a/source/l/gmime/gmime.SlackBuild
+++ b/source/l/gmime/gmime.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010, 2018, 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2018, 2022, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -92,7 +92,8 @@ CFLAGS="$SLKCFLAGS" \
--localstatedir=/var/lib \
--sysconfdir=/etc \
--mandir=/usr/man \
- --disable-gtk-doc \
+ --enable-gtk-doc=no \
+ --enable-gtk-doc-html=no \
--disable-static \
--program-prefix= \
--program-suffix= \
@@ -105,6 +106,9 @@ make install DESTDIR=$PKG || exit 1
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+# This thing just won't listen.
+rm -rf $PKG/usr/share/gtk-doc
+
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/l/gmime/gmime.url b/source/l/gmime/gmime.url
index 92b3e8877..907c3097c 100644
--- a/source/l/gmime/gmime.url
+++ b/source/l/gmime/gmime.url
@@ -1,2 +1,2 @@
https://github.com/jstedfast/gmime
-https://github.com/jstedfast/gmime/releases/download/3.2.14/gmime-3.2.14.tar.xz
+https://github.com/jstedfast/gmime/releases/download/3.2.15/gmime-3.2.15.tar.xz
diff --git a/source/l/gst-plugins-bad-free/fetch-sources.sh b/source/l/gst-plugins-bad-free/fetch-sources.sh
index 44ad88f3e..5057228f7 100755
--- a/source/l/gst-plugins-bad-free/fetch-sources.sh
+++ b/source/l/gst-plugins-bad-free/fetch-sources.sh
@@ -26,7 +26,7 @@
#
# Example: VERSION=1.18.5 ./fetch-sources.sh
-VERSION=${VERSION:-1.24.4}
+VERSION=${VERSION:-1.24.5}
rm -rf rm -rf gst-plugins-bad-free-$VERSION gst-plugins-bad-$VERSION
diff --git a/source/l/gst-plugins-bad-free/gst-plugins-bad-free.SlackBuild b/source/l/gst-plugins-bad-free/gst-plugins-bad-free.SlackBuild
index f6e40311b..17d9735ba 100755
--- a/source/l/gst-plugins-bad-free/gst-plugins-bad-free.SlackBuild
+++ b/source/l/gst-plugins-bad-free/gst-plugins-bad-free.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gst-plugins-bad-free
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/libclc b/source/l/libclc
new file mode 120000
index 000000000..d6c3969ca
--- /dev/null
+++ b/source/l/libclc
@@ -0,0 +1 @@
+../d/llvm \ No newline at end of file
diff --git a/source/l/libclc/fetch-libclc.sh b/source/l/libclc/fetch-libclc.sh
deleted file mode 100755
index 54023cbdf..000000000
--- a/source/l/libclc/fetch-libclc.sh
+++ /dev/null
@@ -1,49 +0,0 @@
-#!/bin/sh
-
-# Copyright 2017 Patrick J. Volkerding, Sebeka, Minnesota, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-# Pull a stable branch + patches
-BRANCH=${1:-master}
-
-# Clear download area:
-rm -rf libclc
-
-# Clone repository:
-git clone http://llvm.org/git/libclc.git
-
-# checkout $BRANCH:
-( cd libclc
- git checkout $BRANCH || exit 1
-)
-
-HEADISAT="$( cd libclc && git log -1 --format=%h )"
-DATE="$( cd libclc && git log -1 --format=%cd --date=format:%Y%m%d )"
-LONGDATE="$( cd libclc && git log -1 --format=%cd --date=format:%c )"
-# Cleanup. We're not packing up the whole git repo.
-( cd libclc && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
-mv libclc libclc-${DATE}_${HEADISAT}
-tar cf libclc-${DATE}_${HEADISAT}.tar libclc-${DATE}_${HEADISAT}
-xz -9 -f libclc-${DATE}_${HEADISAT}.tar
-rm -rf libclc-${DATE}_${HEADISAT}
-touch -d "$LONGDATE" libclc-${DATE}_${HEADISAT}.tar.xz
-echo
-echo "libclc branch $BRANCH with HEAD at $HEADISAT packaged as libclc-${DATE}_${HEADISAT}.tar.xz"
-echo
diff --git a/source/l/libclc/libclc.url b/source/l/libclc/libclc.url
deleted file mode 100644
index bc8324d85..000000000
--- a/source/l/libclc/libclc.url
+++ /dev/null
@@ -1 +0,0 @@
-https://github.com/llvm/llvm-project/releases/download/llvmorg-18.1.7/libclc-18.1.7.src.tar.xz
diff --git a/source/l/python-importlib_metadata/python-importlib_metadata.SlackBuild b/source/l/python-importlib_metadata/python-importlib_metadata.SlackBuild
index f55c5a8af..3e9159842 100755
--- a/source/l/python-importlib_metadata/python-importlib_metadata.SlackBuild
+++ b/source/l/python-importlib_metadata/python-importlib_metadata.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python-importlib_metadata
SRCNAM=importlib_metadata
VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
diff --git a/source/l/qt6/fetch_sources.sh b/source/l/qt6/fetch_sources.sh
index c10d9b688..a0ee2dc3f 100755
--- a/source/l/qt6/fetch_sources.sh
+++ b/source/l/qt6/fetch_sources.sh
@@ -21,7 +21,7 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-BRANCH="6.7.1"
+BRANCH="6.7.2"
rm -f qt-everywhere-src-*.tar*
diff --git a/source/l/qt6/qt6.SlackBuild b/source/l/qt6/qt6.SlackBuild
index e219ab49f..646eeada3 100755
--- a/source/l/qt6/qt6.SlackBuild
+++ b/source/l/qt6/qt6.SlackBuild
@@ -32,7 +32,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=qt6
VERSION=$(ls qt-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
PKGSRC=$(echo $VERSION | cut -d - -f 1)
PKGVER=$(echo $VERSION | tr - _)
diff --git a/source/x/libva-utils/libva-utils.url b/source/x/libva-utils/libva-utils.url
index 1ee8c3ac3..0b9042411 100644
--- a/source/x/libva-utils/libva-utils.url
+++ b/source/x/libva-utils/libva-utils.url
@@ -1 +1 @@
-https://github.com/intel/libva-utils/tags
+https://github.com/intel/libva-utils
diff --git a/source/x/mesa/mesa.SlackBuild b/source/x/mesa/mesa.SlackBuild
index 3e64bf8ec..693cadd88 100755
--- a/source/x/mesa/mesa.SlackBuild
+++ b/source/x/mesa/mesa.SlackBuild
@@ -79,6 +79,9 @@ cd ${PKGNAM}-$VERSION || exit 1
# Let's kill the warning about operating on a dangling symlink:
rm -f src/gallium/state_trackers/d3d1x/w32api
+# Don't use the system DirectX headers:
+rm -f /usr/lib${LIBDIRSUFFIX}/pkgconfig/DirectX-Headers.pc
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \